Skip to content

# Interface: TooltipDecoratorProps

## Hierarchy

- TooltipDecoratorProps

↳ ButtonProps

↳ IconProps

↳ BadgeProps

↳ LineProgressProps

↳ StatusBrickProps

## Index

### Properties

- tooltip
- tooltipOverrideDisabled

## Properties

### `Optional` tooltip

• tooltip? : ReactNode | Omit‹TooltipProps, "targetId"›

Defined in src/renderer/components/tooltip/withTooltip.tsx:10

### `Optional` tooltipOverrideDisabled

• tooltipOverrideDisabled? : boolean

Defined in src/renderer/components/tooltip/withTooltip.tsx:15

forces tooltip to detect the target's parent for mouse events. This is useful for displaying tooltips even when the target is "disabled"